const system = require("../system");
class baiduClient {
  constructor() {
    this.pushlogSve = system.getObject("service.common.pushlogSve");
  }
  
  //2020 1027 laolan 调用百度网关
  async baiduPost(baidRreqUrl, accessKeyId, accessKeySecret, endpoint, actionBody) {
    accessKeyId =  "ff2571490b4c4fb5add57385dc5e8f66";
    accessKeySecret = "9d86f04a85db4cdfa95ba8ad28009188";
    endpoint =  "https://iam.bj.baidubce.com";
    var param = {
      data: actionBody,
      timeout: 20000,
      headers: {
        accept: 'application/json'
      }
    };
    console.log(JSON.stringify(param), "______________峰擎---百度云参数_______");
    var result = await this.baiduPost(baidRreqUrl, param);
    console.log(JSON.stringify(result), "______________峰擎---百度云返回结果_______");
    return result;
  }
  //百度接口 2020-10-27 laolan
  async baiduReqbyget(obj, cbk) {
    var action = obj.action;
    var reqbody = obj.reqbody;
    try {
      var reqBaiduClient = null;// { ... this.baiduClient };
      var res = await reqBaiduClient.request(action, reqbody, {
        timeout: 10000, // default 3000 ms 修改3000为10000，原因ConfirmIcpIntention BizIds 超过5条会超时
        formatAction: true, // default true, format the action to Action
        formatParams: true, // default true, format the parameter name to first letter upper case
        method: 'GET', // set the http method, default is GET
        headers: {}, // set the http request headers
      });
      this.pushlogSve.createDb({
        op: "new-baiduReqbyget",
        content: JSON.stringify(obj),//推送的参数信息
        resultInfo: JSON.stringify(res),
        returnType: '1',
        logLevel: '1',
        opTitle: "new-baiduReqbyget推送百度信息返回成功"
      });
      return system.getResultSuccess(res);
    } catch (e) {
      this.pushlogSve.createFailLogDb({
        appid: obj.appInfo ? obj.appInfo.uapp_id || "" : "",
        appkey: obj.appInfo ? obj.appInfo.uapp_key || "" : "",
        requestId: obj.requestId || "",
        content: JSON.stringify(obj),//推送的参数信息
        resultInfo: "error:" + JSON.stringify(e),
        clientIp: obj.clientIp || "",
        failType: 1,
        opTitle: "new-baiduReqbyget推送百度信息返回异常",
        pushNumber: obj.pushNumber || 1
      });
      return system.getResultFail(-200, "出现异常，error：" + e.stack);
    }
  }
}
module.exports = baiduClient;
